Apache Passenger is required by Python Selector. Please, contact your hoster.

Is your cPanel showing error while creating Python apps? We’ll help you fix it.

Usually, it happens due to missing modules in the server.

Ar Bobcares, we resolve server errors as part of our Server Management Services.

Today, we’ll see how our Support Engineers fix the python error.

 

What is Apache Passenger?

Before diving into the details, let’s take a quick look at Apache Passenger.

In simple words, Phusion Passenger is a web cum application server that supports Python, Ruby, etc. Moreover, it easily integrates with the Apache webserver too.

The passenger has its config file that automatically detects a Python app.

 

When do we see the message Apache passenger is required by python selector?

Now, we’ll see where exactly the error pops up.

Recently, our customer wanted to deploy a Python app for his domain. The domain was added to his CloudLinux server running LiteSpeed webserver.

Therefore, he accessed the cPanel -> Setup Python App and saw this message.

Apache Passenger is required by Python Selector. Please, contact your hoster.

In the CloudLinux server, the Python selector allows end-users to select the specific version of Python or Ruby they need. Additionally, it activates Passenger configuration.

 

How we fix Apache passenger is required by python selector

Moving on, let’s see how our Support Engineers installed all required additional packages to run python in the server. This involved multiple steps.

 

1. Installing dependencies

Initially, we added the dependencies on the server.

This included installing the packages for LVE Manager, LVE Utils and Phusion Passenger. This helps to create isolated Python environments. Therefore, we ran the following command:

yum install lvemanager lve-utils alt-python-virtualenv ea-apache24-mod-alt-passenger

Further, we ran the script to install required ruby/python lsapi modules:

/usr/local/lsws/admin/misc/enable_ruby_python_selector.sh

This added all the related modules for the working of the Python app.

Alternately, on a plain server, we also checked the list of available alt-python packages and installed the missing ones using:

yum grouplist | grep alt-python
yum groupinstall alt-python

 

2. Modifying WHM settings

As the second step, we modified the WHM settings.

We logged in to WHM, and clicked on the CloudLinux LVE Manager >> Options tab.

Next, accessed the User Interface Settings section to expand and viewed the settings.

Then, we unchecked the box next to the Hide Python App in the web-interface. Thus, the option becomes available in the Cpanel of the domains.

 

3. Create a Python app

Finally, the option became available in the cPanel. Therefore, we successfully added a new Python app. Here, we specified the Python app root folder, URL, log file, etc.

Apache passenger is required by python selector

[Trouble installing Python app on your servers? We are available 24×7]

 

Conclusion

In short, the error “Apache passenger is required by Python Selector” happens due to missing modules on the server. today, we saw how our Support Engineers resolved it by installing additional packages to run python in the server.



Source link

Author

Write A Comment